<a href={href} type="button" class="inline-flex items-center min-h-[50px] px-6 py-3 border border-gray-300 shadow-sm text-base font-medium rounded-md text-gray-700 bg-white hover:bg-gray-50 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
  {#if image}
  <img src={image} class="max-w-full w-[120px]" />
  {/if}
  <slot />
</a>

<script>
  export let href
  export let image
</script>